Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.parser
Interface OWLlinkElementHandler<O>

All Known Subinterfaces:
  OWLlinkRequestElementHandler<R>

All Known Implementing Classes:
  AbstractOWLClassRequestElementHandler, AbstractOWLIndividualElementHandler, AbstractOWLlinkDataPropertyElementHandler, AbstractOWLlinkElementHandler, AbstractOWLlinkKBRequestElementHandler, AbstractOWLlinkObjectPropertyExpressionElementHandler, AbstractOWLlinkObjectRequestElementHandler, AbstractOWLlinkRequestElementHandler, AbstractOWLlinkSetElementHandler, AbstractOWLPropertyRequestElementHandler, OWLlinkClassifyElementHandler, OWLlinkCreateKBElementHandler, OWLlinkGetAllAnnotationPropertiesElementHandler, OWLlinkGetAllClassesElementHandler, OWLlinkGetAllDataPropertiesElementHandler, OWLlinkGetAllDatatypesElementHandler, OWLlinkGetAllIndividualsElementHandler, OWLlinkGetAllObjectPropertiesElementHandler, OWLlinkGetDataPropertiesBetweenElementHandler, OWLlinkGetDataPropertiesOfLiteralElementHandler, OWLlinkGetDataPropertiesOfSource, OWLlinkGetDataPropertySources, OWLlinkGetDataPropertyTargetsElementHandler, OWLlinkGetDescriptionElemenHandler, OWLlinkGetDifferentIndividualsElementHandler, OWLlinkGetDisjointClassesElementHandler, OWLlinkGetDisjointDataPropertiesElementHandler, OWLlinkGetDisjointObjectPropertiesElementHandler, OWLlinkGetEquivalentClassesElementHandler, OWLlinkGetEquivalentDataPropertiesElementHandler, OWLlinkGetEquivalentObjectPropertiesElementHandler, OWLlinkGetFlattendObjectPropertySources, OWLlinkGetFlattenedDataPropertySourcesElementHandler, OWLlinkGetFlattenedDifferentIndividualsElementHandler, OWLlinkGetFlattenedInstances, OWLlinkGetFlattenedObjectPropertyTargets, OWLlinkGetFlattenedTypesElementHandler, OWLlinkGetInstancesElementHandler, OWLlinkGetKBLanguageElementHandler, OWLlinkGetObjectPropertiesBetweenElementHandler, OWLlinkGetObjectPropertiesOfSource, OWLlinkGetObjectPropertiesOfTargetElementHandler, OWLlinkGetObjectPropertySourcesElementHandler, OWLlinkGetObjectPropertyTargetsElementHandler, OWLlinkGetPrefixesElementHandler, OWLlinkGetSameIndividualsElementHandler, OWLlinkGetSettingsElementHandler, OWLlinkGetSubClassesElementHandler, OWLlinkGetSubClassHierarchyElementHandler, OWLlinkGetSubDataPropertiesElementHandler, OWLlinkGetSubDataPropertyHierarchyElementHandler, OWLlinkGetSubObjectPropertiesElementHandler, OWLlinkGetSubObjectPropertyHierarchyElementHandler, OWLlinkGetSuperClassesElementHandler, OWLlinkGetSuperDataPropertiesElementHandler, OWLlinkGetSuperObjectPropertiesElementHandler, OWLlinkGetTypesElementHandler, OWLlinkIRIMappingElementHandler, OWLlinkIsClassSatisfiableElementHandler, OWLlinkIsDataPropertySatisfiableElementHandler, OWLlinkIsEntailedDirectElementHandler, OWLlinkIsEntailedElementHandler, OWLlinkIsKBConsistentlyDeclaredElementHandler, OWLlinkIsKBSatisfiableElementHandler, OWLlinkIsObjectPropertySatisfiableElementHandler, OWLlinkLiteralElementHandler, OWLlinkLoadOntologiesElementHandler, OWLlinkOntologyIRIElementHandler, OWLlinkPrefixElementHandler, OWLlinkRealizeElementHandler, OWLlinkReleaseKBElementHandler, OWLlinkRequestMessageElementHandler, OWLlinkSetElementHandler, OWLlinkTellElementHandler

    public interface OWLlinkElementHandler<O>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 25.10.2009

Method Summary
`O` | `getOWLlinkObject()`
`void` | `handleChild(OWLlinkElementHandler handler)`
`void` | `handleChild(OWLlinkIRIMappingElementHandler handler)`
`void` | `handleChild(OWLlinkLiteralElementHandler handler)`
`void` | `handleChild(OWLlinkOntologyIRIElementHandler handler)`
`void` | `handleChild(OWLlinkPrefixElementHandler handler)`
`void` | `handleChild(OWLlinkRequestElementHandler handler)`

Method Detail

### handleChild

    void handleChild(OWLlinkRequestElementHandler handler)

### handleChild

    void handleChild(OWLlinkLiteralElementHandler handler)

### handleChild

    void handleChild(OWLlinkElementHandler handler)

### handleChild

    void handleChild(OWLlinkOntologyIRIElementHandler handler)

### handleChild

    void handleChild(OWLlinkIRIMappingElementHandler handler)

### handleChild

    void handleChild(OWLlinkPrefixElementHandler handler)

### getOWLlinkObject

    O getOWLlinkObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD